Skip to content

Download every subscriber of a status page as CSV (default) or JSON.

GET
/status_page/{status_page_id}/subscriber/export
curl --request GET \
--url https://api.siteqwality.com/status_page/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/subscriber/export \
--header 'Authorization: Bearer <token>'
status_page_id
required
string format: uuid

Status page identifier

format
string

Csv (default) or json

state
string

Confirmed, pending, queued, expired or quarantined. Omit for all

q
string

Part of an email address, ignoring case

A CSV file with the columns email, state, subscribed_at, confirmed_at, consent_source, consent_version, quarantined_at, quarantine_reason, component_ids and kinds (space-separated, empty for all), or a JSON list of subscribers

Invalid format or filter

Missing or invalid authentication

Status page not found

Internal server error